Page MenuHomePhabricator

tools.wmflabs.org landing page should not dump all tool accounts
Closed, ResolvedPublic

Description

This index may be useful for debugging purposes or when trying to contact the maintainers of a tool account. But it seems a bit out of place to put that on the front-page.

For discovery of web services it isn't very useful in is current form:

  • Too inflexible for tool authors to present themselves.
  • Contains many non-web services.
  • Contains irrelevant information (maintainer usernames) and managerial links.

For management and debug purposes, it works quite well:

  • List all tool account.
  • Maintainers with link to user page(s).
  • Link to the web service (if any).

Keeping this list for internal purposes (tool account index, contacting maintainers etc) at a separate url such as https://tools.wmflabs.org/?list linked from the sidebar seems useful. But I'd recommend we trim down the home page to just the welcome message and some of the links.

Event Timeline

Krinkle created this task.Jul 6 2015, 9:17 PM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added projects: Toolforge, Cloud-Services.
Krinkle added subscribers: Krinkle, He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2015, 9:17 PM
Sitic added a subscriber: Sitic.Jul 6 2015, 9:38 PM
He7d3r added a comment.Jul 7 2015, 4:21 PM

This is usually a better way to find tools on Labs: http://tools.wmflabs.org/hay/directory/#/

valhallasw moved this task from Triage to Backlog on the Toolforge board.Oct 4 2015, 11:02 AM
tom29739 removed a subscriber: tom29739.
Krinkle removed a subscriber: Krinkle.Mar 30 2016, 3:12 AM
Krinkle closed this task as Resolved.May 13 2016, 3:57 PM
Krinkle assigned this task to bd808.
Restricted Application added a project: User-bd808. · View Herald TranscriptMay 13 2016, 3:57 PM
bd808 moved this task from Backlog to Done on the Community-Tech-Tool-Labs board.May 16 2016, 3:29 PM
bd808 moved this task from To Do to Archive on the User-bd808 board.May 20 2016, 11:44 PM